#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  TEs
} from "../../../../chunk-53NHAV3C.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-IHX3I5SM.js";

// ../../boilerplates/d1/dist/files/$wrangler.jsonc.js
async function getToml(props) {
  const wrangler = await TEs(props);
  wrangler.d1_databases ??= [];
  wrangler.d1_databases.push({
    binding: "DB",
    database_name: "MY_VIKE_DEMO_DATABASE",
    database_id: "my-vike-demo-database",
    migrations_dir: "database/migrations"
  });
  return wrangler;
}
export {
  getToml as default
};
